Subject: Re: Bug: git branch returns EXIT_SUCCESS when no branches found

From: Christoffer Stjernlöf <[email-masked]>
Date: Wed, 24 Apr 2019 10:53:56 +0000

Dear Junio,

Junio C Hamano ([email-masked]) 2019-04-24:
> if cs/topic branch does not exist, of if the branch
> does not contain 'master', the command will show "here are the
> branches that match the criteria you gave me" by giving no lines in
> its standard output, and exits with 0 to signal that what you see on
> the screen indeed was computed correctly (as opposed to the command
> internally crashing and failing to produce a result, in which case
> you would want to be told with non-zero exit status).

Thank you for taking the time to elaborate on your already detailed
answer. I can see the concern about separating internal command errors
from correctly computed results, even if those results seem to indicate
something being amiss. Is this not a place where different error codes
can be useful?

Sincerely yours,
Christoffer